org.apache.maven.project.interpolation

## Class RegexBasedModelInterpolator

- java.lang.Object
- - AbstractLogEnabled
  - - org.apache.maven.project.interpolation.AbstractStringBasedModelInterpolator
    - - org.apache.maven.project.interpolation.RegexBasedModelInterpolator

- All Implemented Interfaces:
    ModelInterpolator

      public class RegexBasedModelInterpolator
      extends AbstractStringBasedModelInterpolator

  Use a regular expression search to find and resolve expressions within the POM.
  Version:
    $Id: RegexBasedModelInterpolator.java 689163 2008-08-26 18:21:59Z jdcasey $
  Author:
    jdcasey Created on Feb 3, 2005

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.project.interpolation.ModelInterpolator

      `BUILD_TIMESTAMP_FORMAT_PROPERTY, DEFAULT_BUILD_TIMESTAMP_FORMAT, ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegexBasedModelInterpolator()`
    `RegexBasedModelInterpolator(PathTranslator pathTranslator)`
    `RegexBasedModelInterpolator(java.util.Properties envars)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Interpolator` | `createInterpolator()`

    - ### Methods inherited from class org.apache.maven.project.interpolation.AbstractStringBasedModelInterpolator

      `createPostProcessors, createValueSources, getInterpolator, getRecursionInterceptor, initialize, interpolate, interpolate, interpolate, interpolate, interpolateInternal, setRecursionInterceptor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegexBasedModelInterpolator

          public RegexBasedModelInterpolator()
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### RegexBasedModelInterpolator

          public RegexBasedModelInterpolator(PathTranslator pathTranslator)

    - #### RegexBasedModelInterpolator

          public RegexBasedModelInterpolator(java.util.Properties envars)

  - ### Method Detail

    - #### createInterpolator

          protected Interpolator createInterpolator()

      Specified by:
        `createInterpolator` in class `AbstractStringBasedModelInterpolator`